﻿using System;
using System.Collections.Generic;
using System.Text;
using System.IO;
using System.Web;

namespace webbtn
{
    class Program
    {
    	static string replacestr(string str,string port,string no,string mode){
    		
    		string dst=str.Replace("%port%", port);
    		dst=dst.Replace("%no%", no);
    		dst=dst.Replace("%mode%", mode);
    		
    		return dst;
    	}
    	
    	
        static void Main(string[] args)
        {
        	string port = Environment.GetEnvironmentVariable("SERVER_PORT");
            string method = Environment.GetEnvironmentVariable("REQUEST_METHOD");
            string query = "";
            if (method == "GET")
            {
                query = Environment.GetEnvironmentVariable("QUERY_STRING");
            }
            if (method == "POST")
            {
                query = Console.In.ReadToEnd();
                Encoding encoding = Encoding.GetEncoding("Shift-JIS");
                query = System.Web.HttpUtility.UrlDecode(query, encoding);

            }
            
            string no="0";
            string mode="";
            Uri uri=new Uri("http://dmy.cgi?"+query);
            no = HttpUtility.ParseQueryString(uri.Query).Get("no");
            mode=HttpUtility.ParseQueryString(uri.Query).Get("mode");
            

            //WindowsでChromeブラウザで「F11」キーを押せばフルスクリーン/通常　表示切替
            //ブラウザ自体を終了するときは「ALT + F4」でも出来ます

            Console.WriteLine("Content-Type: text/html");
            Console.WriteLine("");

            
            StreamReader sr = new StreamReader("webbtn.html", Encoding.GetEncoding("Shift_JIS"));
            string str = sr.ReadToEnd();
            sr.Close();
            str=replacestr(str,port,no,mode);
            Console.WriteLine(str);
        }
    }
}
