﻿using System;
using System.Collections.Generic;
using System.Text;
using System.IO;
using System.Web;

namespace webtbl
{
    class Program
    {
    	static string replacestr(string str,string no,string mode,string prestatusstr,string statusstr){
    		
    		string dst=str.Replace("%no%", no);
    		dst=dst.Replace("%mode%", mode);
    		dst=dst.Replace("%prestatusstr%", prestatusstr);
    		dst=dst.Replace("%statusstr%", statusstr);
    		return dst;
    	}
    	
    	
        static void Main(string[] args)
        {
            string method = Environment.GetEnvironmentVariable("REQUEST_METHOD");
            string query = "";
            if (method == "GET")
            {
                query = Environment.GetEnvironmentVariable("QUERY_STRING");
            }
            if (method == "POST")
            {
                query = Console.In.ReadToEnd();
                Encoding encoding = Encoding.GetEncoding("Shift-JIS");
                query = System.Web.HttpUtility.UrlDecode(query, encoding);

            }
            
            string no="0";
            string mode="";
            string prestatusstr="";
            Uri uri=new Uri("http://dmy.cgi?"+query);
            no = HttpUtility.ParseQueryString(uri.Query).Get("no");
            mode=HttpUtility.ParseQueryString(uri.Query).Get("mode");
            prestatusstr=HttpUtility.ParseQueryString(uri.Query).Get("prestatusstr");

            //WindowsでChromeブラウザで「F11」キーを押せばフルスクリーン/通常　表示切替
            //ブラウザ自体を終了するときは「ALT + F4」でも出来ます

            Console.WriteLine("Content-Type: text/html");
            Console.WriteLine("");
            string tblstr="";
            if (File.Exists("tbl.txt")){
              StreamReader srt = new StreamReader("tbl.txt");
              tblstr = srt.ReadToEnd();
              srt.Close();
            }
            DateTime dt = DateTime.Now;
       
            string []tbllist=tblstr.Split('\n');
            string tblstr2="";
            int findflag=0;
            int i;
            for(i=0;i<tbllist.Length;i++){
            	string []colm=tbllist[i].Split('\t');
            	if(colm.Length==3){
	            	if(colm[1]==no){
	            		findflag=1;
	            	    if(mode=="R"){
	            	    	tblstr2+=colm[0]+"\t"+no+"\t"+mode+"\n";
	            		}
	            		if(mode=="Q"){
	            			mode="QR";
	            			tblstr2+=tbllist[i]+"\n";
	            	    }
	            	    if(mode=="C"){
	            	    }
	            	}
	            	else{
	            	  tblstr2+=tbllist[i]+"\n";
	            	}
	            }
            }
            if(findflag==0 && mode=="R"){
                 tblstr2+=String.Format("{0:0000}", dt.Year)+"/"+String.Format("{0:00}", dt.Month)+"/"+String.Format("{0:00}", dt.Day)+" "+
                 	 String.Format("{0:00}", dt.Hour)+":"+String.Format("{0:00}",dt.Minute)+":"+String.Format("{0:00}",dt.Second)+"\t"+no+"\t"+mode+"\n";
            }
            
            if(tblstr!=tblstr2){
              StreamWriter swt = new StreamWriter("tbl.txt");
			  swt.Write(tblstr2);
			  swt.Close();
		    }
		    string statusstr=tblstr2.Replace("\n","\\n");
    
            
            StreamReader sr = new StreamReader("webtbl.html", Encoding.GetEncoding("Shift_JIS"));
            string str = sr.ReadToEnd();
            sr.Close();
            str=replacestr(str,no,mode,prestatusstr,statusstr);
            Console.WriteLine(str);
        }
    }
}
